/* Copyright (c) 1996 University of Utah.  All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for NON-COMMERCIAL purposes and without fee is
 * hereby granted provided that this copyright notice appears in all
 * copies.
 *
 * See http://www.cs.utah.edu/~hamlet for more educational resources.
 *
 * The University of Utah MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT
 * THE SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED,
 * INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR
 * NON-INFRINGEMENT. The University of Utah SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

package Cannon;

import java.awt.*;
import Cannon.*;
import hamlet.*;

//
//   Class cannonControls
//
public class cannonControls extends Panel {
    /*Label		veloLabel, angleLabel, gravityLabel;
    TextField	gunAngle, velocity, gravity;*/
    ScrollableNumbers velocity, gunAngle, gravity;
    
public cannonControls() {
    setLayout( new FlowLayout( FlowLayout.LEFT ) );
    
    velocity = new ScrollableNumbers( 50, /* initial value */
				      50, /* small increment */
				      0,  /* large increment */
				      1,  /* lower limit */
				      2000, /* upper limit */
				      4,  /* number of chars */
				      /* location of label */
				      ScrollableNumbers.LEFT,
				      "Initial Velocity (mps)", /* label */
				      /* who to notify when this field
					 changes */
				      this
				     );
				      
    /*add( veloLabel = new Label("Initial Ball Velocity (mps)", Label.LEFT) );
    velocity = new TextField(4);
    velocity.setText("50");*/
    add( velocity );
    
    gunAngle = new ScrollableNumbers( 45, /* initial value */
				      5, /* small increment */
				      0,  /* large increment */
				      0,  /* lower limit */
				      90, /* upper limit */
				      2,  /* number of chars */
				      /* location of label */
				      ScrollableNumbers.LEFT,
				      "Firing Angle", /* label */
				      /* who to notify when this field
					 changes */
				      this
				     );

    /*add( angleLabel = new Label("Firing Angle") );
    gunAngle = new TextField(4);
    gunAngle.setText("45");*/
    add( gunAngle );
    
    gravity = new ScrollableNumbers( 9.8, /* initial value */
				      .1, /* small increment */
				      0,  /* large increment */
				      0,  /* lower limit */
				      50, /* upper limit */
				      4,  /* number of chars */
				      /* location of label */
				      ScrollableNumbers.LEFT,
				      "Gravity", /* label */
				      /* who to notify when this field
					 changes */
				      this
				     );

    /*add( gravityLabel = new Label("Gravity") );
    gravity = new TextField( 3 );
    gravity.setText("9.8");*/
    add( gravity );
}

}
